org.apache.jorphan.gui.ui

## Class TextComponentUI

- java.lang.Object
- - org.apache.jorphan.gui.ui.TextComponentUI

    @API(since="5.3",
         status=INTERNAL)
    public class TextComponentUI
    extends Object

Configures undo manager for a text component.

### Field Summary

Fields
`static TextComponentUI` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`TextComponentUI()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `installUndo(JTextComponent component)` Installs an undo manager and keyboard shortcuts to a text component
`void` `resetUndoHistory()` Causes all undo managers to invalidate their history.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    @API(since="5.3",
         status=INTERNAL)
    public static final TextComponentUI INSTANCE

### Constructor Detail

#### TextComponentUI

    public TextComponentUI()

### Method Detail

#### resetUndoHistory

    @API(since="5.3",
         status=INTERNAL)
    public void resetUndoHistory()

Causes all undo managers to invalidate their history.

#### installUndo

    @API(since="5.3",
         status=INTERNAL)
    public void installUndo(JTextComponent component)

Installs an undo manager and keyboard shortcuts to a text component

Parameters:
  `component` - JTextField or JTextArea